# This file was automatically generated by SWIG (http://www.swig.org).
# Version 2.0.11
#
# Do not make changes to this file unless you know what you are doing--modify
# the SWIG interface file instead.




"""
The freesteam module provides the ability to calculate
properties of water and steam from the IAPWS-IF97 steam
property correlations, published by the Internation
Association for the Properties of Water & Steam (IAPWS).

Freesteam is based on the IAPWS-IF97 releases, but is not
officially endorsed by IAPWS. Freesteam is written by
John Pye. Freesteam is released under the GPL license. 
You may not use it in commercially-released software.
"""


from sys import version_info
if version_info >= (2,6,0):
    def swig_import_helper():
        from os.path import dirname
        import imp
        fp = None
        try:
            fp, pathname, description = imp.find_module('_freesteam', [dirname(__file__)])
        except ImportError:
            import _freesteam
            return _freesteam
        if fp is not None:
            try:
                _mod = imp.load_module('_freesteam', fp, pathname, description)
            finally:
                fp.close()
            return _mod
    _freesteam = swig_import_helper()
    del swig_import_helper
else:
    import _freesteam
del version_info
try:
    _swig_property = property
except NameError:
    pass # Python < 2.2 doesn't have 'property'.
def _swig_setattr_nondynamic(self,class_type,name,value,static=1):
    if (name == "thisown"): return self.this.own(value)
    if (name == "this"):
        if type(value).__name__ == 'SwigPyObject':
            self.__dict__[name] = value
            return
    method = class_type.__swig_setmethods__.get(name,None)
    if method: return method(self,value)
    if (not static):
        self.__dict__[name] = value
    else:
        raise AttributeError("You cannot add attributes to %s" % self)

def _swig_setattr(self,class_type,name,value):
    return _swig_setattr_nondynamic(self,class_type,name,value,0)

def _swig_getattr(self,class_type,name):
    if (name == "thisown"): return self.this.own()
    method = class_type.__swig_getmethods__.get(name,None)
    if method: return method(self)
    raise AttributeError(name)

def _swig_repr(self):
    try: strthis = "proxy of " + self.this.__repr__()
    except: strthis = ""
    return "<%s.%s; %s >" % (self.__class__.__module__, self.__class__.__name__, strthis,)

try:
    _object = object
    _newclass = 1
except AttributeError:
    class _object : pass
    _newclass = 0


class SteamState(_object):
    """Proxy of C SteamState struct"""
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, SteamState, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, SteamState, name)
    def __init__(self, *args, **kwargs): raise AttributeError("No constructor defined")
    __repr__ = _swig_repr
    def deriv(self, *args):
        """deriv(SteamState self, char * spec) -> double"""
        return _freesteam.SteamState_deriv(self, *args)

    __swig_getmethods__["region"] = _freesteam.SteamState_region_get
    if _newclass:region = _swig_property(_freesteam.SteamState_region_get)
    __swig_getmethods__["p"] = _freesteam.SteamState_p_get
    if _newclass:p = _swig_property(_freesteam.SteamState_p_get)
    __swig_getmethods__["T"] = _freesteam.SteamState_T_get
    if _newclass:T = _swig_property(_freesteam.SteamState_T_get)
    __swig_getmethods__["u"] = _freesteam.SteamState_u_get
    if _newclass:u = _swig_property(_freesteam.SteamState_u_get)
    __swig_getmethods__["h"] = _freesteam.SteamState_h_get
    if _newclass:h = _swig_property(_freesteam.SteamState_h_get)
    __swig_getmethods__["v"] = _freesteam.SteamState_v_get
    if _newclass:v = _swig_property(_freesteam.SteamState_v_get)
    __swig_getmethods__["s"] = _freesteam.SteamState_s_get
    if _newclass:s = _swig_property(_freesteam.SteamState_s_get)
    __swig_getmethods__["cp"] = _freesteam.SteamState_cp_get
    if _newclass:cp = _swig_property(_freesteam.SteamState_cp_get)
    __swig_getmethods__["cv"] = _freesteam.SteamState_cv_get
    if _newclass:cv = _swig_property(_freesteam.SteamState_cv_get)
    __swig_getmethods__["w"] = _freesteam.SteamState_w_get
    if _newclass:w = _swig_property(_freesteam.SteamState_w_get)
    __swig_getmethods__["rho"] = _freesteam.SteamState_rho_get
    if _newclass:rho = _swig_property(_freesteam.SteamState_rho_get)
    __swig_getmethods__["mu"] = _freesteam.SteamState_mu_get
    if _newclass:mu = _swig_property(_freesteam.SteamState_mu_get)
    __swig_getmethods__["k"] = _freesteam.SteamState_k_get
    if _newclass:k = _swig_property(_freesteam.SteamState_k_get)
    __swig_getmethods__["x"] = _freesteam.SteamState_x_get
    if _newclass:x = _swig_property(_freesteam.SteamState_x_get)
    __swig_destroy__ = _freesteam.delete_SteamState
    __del__ = lambda self : None;
SteamState_swigregister = _freesteam.SteamState_swigregister
SteamState_swigregister(SteamState)


def region1_pT(*args):
  """region1_pT(double p, double T) -> SteamState"""
  return _freesteam.region1_pT(*args)

def region2_pT(*args):
  """region2_pT(double p, double T) -> SteamState"""
  return _freesteam.region2_pT(*args)

def region3_rhoT(*args):
  """region3_rhoT(double rho, double T) -> SteamState"""
  return _freesteam.region3_rhoT(*args)

def region4_Tx(*args):
  """region4_Tx(double T, double x) -> SteamState"""
  return _freesteam.region4_Tx(*args)
FREESTEAM_VERSION = _freesteam.FREESTEAM_VERSION
PMAX = _freesteam.PMAX
TMIN = _freesteam.TMIN
IAPWS97_TMAX = _freesteam.IAPWS97_TMAX
TCRIT = _freesteam.TCRIT
PCRIT = _freesteam.PCRIT
RHOCRIT = _freesteam.RHOCRIT
PTRIPLE = _freesteam.PTRIPLE
R = _freesteam.R
__func__ = _freesteam.__func__

def freesteam_ipow(*args):
  """freesteam_ipow(double x, int n) -> double"""
  return _freesteam.freesteam_ipow(*args)

def psat_T(*args):
  """psat_T(double T) -> double"""
  return _freesteam.psat_T(*args)

def Tsat_p(*args):
  """Tsat_p(double p) -> double"""
  return _freesteam.Tsat_p(*args)

def rhof_T(*args):
  """rhof_T(double T) -> double"""
  return _freesteam.rhof_T(*args)

def rhog_T(*args):
  """rhog_T(double T) -> double"""
  return _freesteam.rhog_T(*args)

def dpsatdT_T(*args):
  """dpsatdT_T(double T) -> double"""
  return _freesteam.dpsatdT_T(*args)

def bounds_ph(*args):
  """bounds_ph(double p, double h, int verbose) -> int"""
  return _freesteam.bounds_ph(*args)

def region_ph(*args):
  """region_ph(double p, double h) -> int"""
  return _freesteam.region_ph(*args)

def steam_ph(*args):
  """steam_ph(double p, double h) -> SteamState"""
  return _freesteam.steam_ph(*args)

def bounds_ps(*args):
  """bounds_ps(double p, double s, int verbose) -> int"""
  return _freesteam.bounds_ps(*args)

def region_ps(*args):
  """region_ps(double p, double s) -> int"""
  return _freesteam.region_ps(*args)

def steam_ps(*args):
  """steam_ps(double p, double s) -> SteamState"""
  return _freesteam.steam_ps(*args)

def steam_pT(*args):
  """steam_pT(double p, double T) -> SteamState"""
  return _freesteam.steam_pT(*args)

def region_pu(*args):
  """region_pu(double p, double u) -> int"""
  return _freesteam.region_pu(*args)

def steam_pu(*args):
  """steam_pu(double p, double u) -> SteamState"""
  return _freesteam.steam_pu(*args)

def bounds_Ts(*args):
  """bounds_Ts(double T, double s, int verbose) -> int"""
  return _freesteam.bounds_Ts(*args)

def region_Ts(*args):
  """region_Ts(double T, double s) -> int"""
  return _freesteam.region_Ts(*args)

def steam_Ts(*args):
  """steam_Ts(double T, double s) -> SteamState"""
  return _freesteam.steam_Ts(*args)

def bounds_Tx(*args):
  """bounds_Tx(double T, double x, int verbose) -> int"""
  return _freesteam.bounds_Tx(*args)

def region_Tx(*args):
  """region_Tx(double T, double x) -> int"""
  return _freesteam.region_Tx(*args)

def steam_Tx(*args):
  """steam_Tx(double T, double x) -> SteamState"""
  return _freesteam.steam_Tx(*args)

def bounds_pv(*args):
  """bounds_pv(double p, double v, int verbose) -> int"""
  return _freesteam.bounds_pv(*args)

def region_pv(*args):
  """region_pv(double p, double v) -> int"""
  return _freesteam.region_pv(*args)

def steam_pv(*args):
  """steam_pv(double p, double v) -> SteamState"""
  return _freesteam.steam_pv(*args)

def bound_pmax_T(*args):
  """bound_pmax_T(double T) -> SteamState"""
  return _freesteam.bound_pmax_T(*args)

def surftens_T(*args):
  """surftens_T(double T) -> double"""
  return _freesteam.surftens_T(*args)

def freesteam_mu_rhoT(*args):
  """freesteam_mu_rhoT(double rho, double T) -> double"""
  return _freesteam.freesteam_mu_rhoT(*args)

def freesteam_deriv(*args):
  """freesteam_deriv(SteamState S, char [3] xyz) -> double"""
  return _freesteam.freesteam_deriv(*args)

def drhofdT_T(*args):
  """drhofdT_T(double T) -> double"""
  return _freesteam.drhofdT_T(*args)

def drhogdT_T(*args):
  """drhogdT_T(double T) -> double"""
  return _freesteam.drhogdT_T(*args)

def freesteam_region3_dAdvT(*args):
  """freesteam_region3_dAdvT(int arg1, SteamState arg2) -> double"""
  return _freesteam.freesteam_region3_dAdvT(*args)

def freesteam_region3_dAdTv(*args):
  """freesteam_region3_dAdTv(int arg1, SteamState arg2) -> double"""
  return _freesteam.freesteam_region3_dAdTv(*args)

def freesteam_region1_dAdTp(*args):
  """freesteam_region1_dAdTp(int arg1, SteamState arg2) -> double"""
  return _freesteam.freesteam_region1_dAdTp(*args)

def freesteam_region1_dAdpT(*args):
  """freesteam_region1_dAdpT(int arg1, SteamState arg2) -> double"""
  return _freesteam.freesteam_region1_dAdpT(*args)

def freesteam_region2_dAdTp(*args):
  """freesteam_region2_dAdTp(int arg1, SteamState arg2) -> double"""
  return _freesteam.freesteam_region2_dAdTp(*args)

def freesteam_region2_dAdpT(*args):
  """freesteam_region2_dAdpT(int arg1, SteamState arg2) -> double"""
  return _freesteam.freesteam_region2_dAdpT(*args)

def freesteam_region4_dAdTx(*args):
  """freesteam_region4_dAdTx(int arg1, SteamState arg2) -> double"""
  return _freesteam.freesteam_region4_dAdTx(*args)

def freesteam_region4_dAdxT(*args):
  """freesteam_region4_dAdxT(int arg1, SteamState arg2) -> double"""
  return _freesteam.freesteam_region4_dAdxT(*args)
# This file is compatible with both classic and new-style classes.


